<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00008000HabilidadeTarefaFactory {
    
    protected $connection;
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
     /**
     *  A função "recebeOrdenacao" recebe a próxima a ordenação da tarefa 
     *  que está sendo inserida para a habilidade.
     */
    public function recebeOrdenacao($params){
        
        $sql = "SELECT NVL(MAX(IDORDENACAO), 0) AS IDORDENACAO
                  FROM FCT_TAREFAHABILI
                 WHERE CDHABILITSERV = :CDHABILITSERV
                   AND NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    /**
     *  A função "validar" verifica se já existe a ordenação da tarefa 
     *  que está sendo inserida para a habilidade.
     */
     
    public function validar($params) {
        $sql = "SELECT COUNT(*) AS EXISTE
                  FROM FCT_TAREFAHABILI
                 WHERE CDHABILITSERV = :CDHABILITSERV 
                   AND IDORDENACAO   = :IDORDENACAO
                   AND NRTAREFAHABILI <> NVL(:NRTAREFAHABILI, -1)
                   AND NRORG         = :NRORG"; 
        
        $consulta = $this->connection->prepare($sql);
        $consulta->execute($params);
        return $consulta->fetchAll(); 
    }
}

?>