/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PADRATEIO                                                */
/* Tabela : PADRATEIO                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PADRATEIO'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PADRATEIO
GO

CREATE TRIGGER DTULTATU_PADRATEIO
ON PADRATEIO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PADRATEIO', null, 'CDRATEIO=' + CDRATEIO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PADRATEIO
      SET DTULTATUPDRT = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PADRATEIO.CDRATEIO,0) = ISNULL(INSERTED.CDRATEIO,0)) AND
            (ISNULL(PADRATEIO.NMRATEIO,0)  = ISNULL(INSERTED.NMRATEIO,0));
   END;
END;
GO

